Skip to Content
avatar image
Former Member

SAML 2.0 backwards compatible?

We're attempting to utilize a NW AS JAVA 7.4 system (SAML 2.0 compatible) to generate an assertion ticket which gets passed to and accepted by a NW AS JAVA 7.02 system (SAML 1.1 compatible) in order to perform single sign-on for the AS JAVA 7.02 system. Is this feasible and supported?

I've read through the following SAP Help document, but am unsure of where the configruation parameters values are obtained from (i.e. URL and SourceID):

Configuring the SAML Parameters - User Authentication and Single Sign-On - SAP Library

Thanks,

Setu

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Best Answer
    avatar image
    Former Member
    Jul 02, 2014 at 02:54 PM

    Dear Setu,

    As a protocol, SAML has three versions: SAML 1.0,  SAML 1.1, and SAML 2.0.

    SAML 2.0 is an enhancement to the previous SAML 1.x specifications, but is not backwards compatible.

    Best regards,

    Adrian

    Add comment
    10|10000 characters needed characters exceeded